<?php

error_reporting(0);

if(isset($_GET["fechaInicial"])){

    $fechaInicial = $_GET["fechaInicial"];
    $fechaFinal = $_GET["fechaFinal"];

}else{

$fechaInicial = null;
$fechaFinal = null;

}

$respuesta = ControladorVentas::ctrRangoFechasVentas3($fechaInicial, $fechaFinal);

$compras = ControladorCompras::ctrRangoFechasCompras3($fechaInicial, $fechaFinal);

$arrayFechas = array();
$arrayVentas = array();
$sumaPagosMes = array();

$arrayFechas1 = array();
$arrayCompras = array();
$sumaPagosMes1 = array();

foreach ($respuesta as $key => $value) {

	#Capturamos sólo el año y el mes
	$fecha = substr($value["fecha"],0,7);


	#Introducir las fechas en arrayFechas
	array_push($arrayFechas, $fecha);

	#Capturamos las ventas
	$arrayVentas = array($fecha => $value["total"]);

	#Sumamos los pagos que ocurrieron el mismo mes
	foreach ($arrayVentas as $key => $value) {
		
		$sumaPagosMes[$key] += $value;
	}

}

foreach ($compras as $key1 => $value1) {

	#Capturamos sólo el año y el mes
	$fecha1 = substr($value1["fecha_emision"],0,7);


	#Introducir las fechas en arrayFechas
	array_push($arrayFechas1, $fecha1);

	#Capturamos las ventas
	$arrayCompras = array($fecha1 => $value1["total"]);

	#Sumamos los pagos que ocurrieron el mismo mes
	foreach ($arrayCompras as $key1 => $value1) {
		
		$sumaPagosMes1[$key1] += $value1;
	}

}




$noRepetirFechas = array_unique($arrayFechas);
$noRepetirFechas1 = array_unique($arrayFechas1);

?>

<!--=====================================
GRÁFICO DE VENTAS
======================================-->



    <div class="card bg-gradient-light">
      
      <div class="card-header border-0 ui-sortable-handle">
          <span class="fas fa-th"> GRAFICO DE VENTAS Y COMPRAS</span>
      </div>

      <div class="card-body border-radius-none nuevoGraficoVentas">

        <div class="tab-content p-0">

          <div class="chart" id="line-chart-ventas"  style="height: 350px;"></div>
          
        </div>

      </div>

    </div>

<script>
	
 var line = new Morris.Bar({
    element          : 'line-chart-ventas',
    data             : [

    <?php



	    foreach($noRepetirFechas as $key){

	    	echo "{ y: '".$key."', ventas: ".$sumaPagosMes[$key].", compras: ".$sumaPagosMes1[$key]."},";

	    }


    ?>

    ],
    xkey             : 'y',
    ykeys            : ['ventas', 'compras'],
    labels           : ['ventas', 'compras'],
    lineColors       : ['#22BCBE', '#3D91FF'],
    lineWidth        : 3,
    gridStrokeWidth  : 0.4,
    pointSize        : 4,
    resize           : true,
    pointStrokeColors: ['#eef0f2'],
    gridLineColor    : '#eef0f2',
    gridTextFamily   : 'Open Sans',
    preUnits         : 'S/.',
    gridTextSize     : 14
  });

</script>